/*
 * TrkRigRangeCut.cpp
 *
 *  Created on: 24-apr-2009
 *      Author: S. Ricciarini
 */

/*! @file TrkRigRangeCut.cpp The TrkRigRangeCut class implementation file */

#include "TrkRigRangeCut.h"

int TrkRigRangeCut::Check(PamLevel2 *event) {

  TrkTrack *trkTrack = event->GetTrack(0)->GetTrkTrack();
  
  float rig=1/(trkTrack->GetDeflection());

  if (rig < _minRigidity || rig > _maxRigidity) {
    return 0;
  }

  return CUTOK;
}
